| Qore ConnectionProvider Module Reference 1.5

Public Attributes | List of all members
ConnectionProvider::ConnectionConstructorInfo Struct Reference

information that can be used to dynamically construct a connection object More...

## Public Attributes
*softlist< auto > | args
| the constructor arguments
string | class_name
| the name of the constructor's class
*string | module
| any module required to be loaded for the constructor call
*string | post_processing
| code to execute after construction More...
*string | pre_processing
| code to execute before construction to preprocess the constructor arguments More...

## Detailed Description

information that can be used to dynamically construct a connection object

as returned by AbstractConnection::getConstructorInfo()

Since
  ConnectionProvider 1.1

## Member Data Documentation

## ◆ post_processing

*string ConnectionProvider::ConnectionConstructorInfo::post_processing

code to execute after construction

the code must be compatible with the following parse options:

- Qore::PO_NEW_STYLE
- Qore::PO_STRICT_ARGS
- Qore::PO_REQUIRE_TYPES

The followinng local variables will be available:

- `object obj`: the object that was created
- `bool connect`: if the object should be connected
- `*hash rtopts`: any runtime options provided

## ◆ pre_processing

*string ConnectionProvider::ConnectionConstructorInfo::pre_processing

code to execute before construction to preprocess the constructor arguments

the code must be compatible with the following parse options:

- Qore::PO_NEW_STYLE
- Qore::PO_STRICT_ARGS
- Qore::PO_REQUIRE_TYPES

The following local variables will be available:

- `reference<*softlist<auto;gt;> args`: a reference to the constructor arguments
- `bool connect`: if the object should be connected
- `*hash rtopts`: any runtime options provided